EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_DeleteExecution',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes an execution and all of its logs.'
GO

IF OBJECT_ID('[dbo].[Executions_DeleteExecution]') IS NOT NULL DROP PROCEDURE [dbo].[Executions_DeleteExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_DeleteExecution]
(
	@Execution_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE FROM [Executions]
	 WHERE [Execution_Id] = @Execution_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Executions_DeleteExecution] TO [ProGetUser_Role]
GO
